Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229670 - anaconda does not bring up loopback device during install
Summary: anaconda does not bring up loopback device during install
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-22 17:15 UTC by Orion Poplawski
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-06 20:54:05 UTC


Attachments (Terms of Use)

Description Orion Poplawski 2007-02-22 17:15:31 UTC
Doing a PXE/kickstart/NFS install of rawhide from 20070222.  The loopback device
is not configured.  This prevents me from mounting an nfs directory in %post
because the mount.nfs command tries to contact the local portmap server via the
loopback address.

Comment 1 Chris Lumens 2007-02-22 17:33:08 UTC
David - looks like lo is configured, but not brought up.  Similar to other
issues we've had with regular interfaces.

Orion - for now you should be able to work around this with a quick "ifconfig lo
up" at the beginning of your %post script.

Comment 2 David Cantrell 2007-03-06 20:54:05 UTC
Yeah, the netlink API is not friendly past kernel 2.6.17.  Rewrote
initLoopback() to use ioctl() and it's working now.


Note You need to log in before you can comment on or make changes to this bug.